string.upper
Prev | Common » Base Template Reference | Next

## string.upper

string.upper — Converts a string to all uppercase letters

## Synopsis

    <xsl:template name="string.upper">
    <xsl:param name="string" select="''"/>
      ...
    </xsl:template>

##

Given a string, this template does a language-aware conversion of that string to all uppercase letters, based on the values of the `lowercase.alpha` and `uppercase.alpha` gentext keys for the current locale. It affects only those characters found in the values of `lowercase.alpha` and `uppercase.alpha`. All other characters are left unchanged.

## Parameters

string

  The string to convert to uppercase.

Prev | Up | Next
find.path.params | Home | string.lower